import React, {Component} from 'react';

class Fixed extends Component<{}, {}> {

    canvasRef: any;

    constructor(props: {}) {
        super(props);
        this.canvasRef = React.createRef();
    }

    componentDidMount() {
        this.updateCanvasImage();
    }

    updateCanvasImage() {
        let canvas = this.canvasRef.current;
        let context = canvas.getContext("2d");
        context.fillStyle = "blue";
        context.fillRect(50, 50, 150, 100);
    }

    render() {
        return (
            <canvas ref={this.canvasRef} width="500" height="500"/>
        );
    }

}

export default Fixed;
